Як встановити AceStream на Linux і не вмерти намагаючись

Ті з нас, хто любить спорт і не має доступу до всіх сучасних спортивних каналів, зазвичай стикаються з проблемою, що щоб насолоджуватися ним, ми повинні використовувати різні сторінки, які передають онлайн-матчі, більшість із них просять встановіть AceStream, який, як правило, є дещо складним для встановлення на Linux.

У цьому посібнику ми навчимося як встановити AceStream на Linux не вмираючи при спробі, даючи рішення найпоширеніших проблем сьогодні. Його використання та вміст, до якого ви отримуєте доступ, - ваша повна відповідальність.

Що таке AceStream?

AceStream є мультимедійна платформа досить інноваційний, що дозволив відтворити аудіовізуальні матеріали в Інтернеті на більш високий рівень. Для цього він запровадив універсальний менеджер завантаження мультимедійних файлів, який використовує найсучасніші технології P2P, гарантуючи ефективний процес зберігання та передачі даних.

Програмне забезпечення Ace Stream пропонує нам низку переваг, серед яких ми можемо виділити:

  • Можливість перегляду онлайн-трансляцій (телевізор, власні потоки, фільми, мультфільми тощо) з високою якістю звуку та зображення.
  • Слухайте музику в Інтернеті у форматі, який не втрачає жодної якості.
  • Переглядайте торренти в Інтернеті, не потрібно чекати повного завантаження.
  • Переглядайте вміст на віддалених пристроях (Apple TV, Chromecast тощо) за допомогою комунікаційних протоколів, таких як AirPlay, Google Cast та інших.
  • Дозволяє інтеграцію з різними програмами. Встановіть AceStream на Linux

Як встановити AceStream на Linux

Щоб встановити AceStream на Linux, ми повинні виконати різні кроки залежно від дистрибутива, який ви використовуєте, ми зосередимось на Arch Linux та Ubuntu, але ми сподіваємось, що в майбутньому зможемо встановити його на інших дистрибутивах.

Встановіть AceStream на Arch Linux та похідні

Основна причина, по якій я створив цю статтю, полягає в тому, що багато хто мав проблеми з встановленням AceStream на Arch Linux, Antergos, Manjaros та похідних. acestream-mozilla-плагін Це дає помилку при установці, рішення надзвичайно просте.

Ми збираємось встановити acestream-mozilla-плагін який також встановить нас двигун acestream y дані acestream-player які пакети необхідні для відтворення AceStream з firefox.

Перш за все ми повинні відкрити термінал і виконати таку команду:
gpg --keyserver pgp.mit.edu --recv-keys FCF986EA15E6E293A5644F10B4322F04D67658D8

Це вирішить проблему перевірки, яка перешкоджає встановленню залежності, необхідної для встановлення acestream-mozilla-плагін.

Потім ми виконуємо таку команду

yaourt -S acestream-mozilla-plugin

Неодноразово нас запитатимуть, чи хочемо ми встановити різні залежності, ми повинні сказати так усім.

Встановіть AceStream на Ubuntu та похідні

Встановіть AceStream на Ubuntu 14.04 та похідні

Для користувачів ubuntu та похідних до версії 14.04 встановлення AceStream буде досить простим, їм потрібно лише виконати наступні команди з терміналу:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install acestream-full

Встановіть AceStream на Ubuntu 16.04 та похідні

Тим, кому доведеться трохи більше боротися, є користувачі Ubuntu 16.04 та похідні, оскільки acestream не має підтримки цієї версії, але завдяки цьому стаття, Мені вдалося його встановити.

Перше, що ми збираємося, це завантажити та встановити деякі залежності, які ви не зможете завантажити з офіційних сховищ, обов’язково встановіть відповідні для архітектури вашого дистрибутива:

64-бітна архітектура:

  1. Завантажте та встановіть libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb Ви можете зробити це за таким посиланням: http://launchpadlibrarian.net/216005292/libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb
  2. Завантажте та встановіть у тому порядку, в якому представлені такі залежності:  acestream-player-compat_3.0.2-1.1_amd64.deb; acestream-engine_3.0.3-0.2_amd64.deb; acestream-player-data_3.0.2-1.1_amd64.deb; acestream-player_3.0.2-1.1_amd64.deb Ви можете завантажити кожен із них за таким посиланням: https://drive.google.com/folderview?id= … e_web#list

32-бітна архітектура:

  1. Завантажте та встановіть libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb Ви можете зробити це за таким посиланням: http://launchpadlibrarian.net/216005191/libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb
  2. Завантажте та встановіть у тому порядку, в якому представлені такі залежності: acestream-player-compat_3.0.2-1.1_i386.deb; acestream-engine_3.0.3-0.2_i386.deb; acestream-player-data_3.0.2-1.1_i386.deb; acestream-player_3.0.2-1.1_i386.deb Ви можете завантажити кожен із них за таким посиланням: https://drive.google.com/folderview?id= … e_web#list

Тоді ми повинні продовжити звичайну установку AceStream, як це було зроблено для версії 14.04, відкрити термінал і запустити:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install acestream-full

У деяких випадках необхідно запустити послугу acestream-engine.service, для цього ми виконуємо наступні команди з терміналу:

systemctl start acestream-engine.service systemctl enable acestream-engine.service

За допомогою цього посібника ми сподіваємось, що ви зможете насолодитися цим чудовим мультимедійним протоколом передачі, який використовує всі можливості технології P2P.


Зміст статті відповідає нашим принципам редакційна етика. Щоб повідомити про помилку, натисніть тут.

41 коментарі, залиште свій

Залиште свій коментар

Ваша електронна адреса не буде опублікований. Обов'язкові для заповнення поля позначені *

*

*

  1. Відповідальний за дані: Мігель Анхель Гатон
  2. Призначення даних: Контроль спаму, управління коментарями.
  3. Легітимація: Ваша згода
  4. Передача даних: Дані не передаватимуться третім особам, за винятком юридичних зобов’язань.
  5. Зберігання даних: База даних, розміщена в мережі Occentus Networks (ЄС)
  6. Права: Ви можете будь-коли обмежити, відновити та видалити свою інформацію.

  1.   Хуліо Сезар Кампос - сказав він

    Ну пост, але принаймні в archlinux, і це був мій випадок, який вам потрібен: "systemctl start acestream-engine.service" і "systemctl enable acestream-engine.service", щоб він працював.

    1.    ящірка - сказав він

      Ви тестували його з Firefox чи використовували інший браузер?

  2.   UserDebian - сказав він

    Хтось знає, як змусити його працювати на Debian 9?

  3.   Хуліо Сезар Кампос - сказав він

    Firefox на Archlinux

  4.   gecoxx - сказав він

    Не знаю, чи був опублікований мій попередній коментар ... Повторюю! Це займає не знаю скільки годин, виконуючи прокляту команду в терміналі, і що я поставив –noconfirm, і врешті це не працює !!
    ще одна публікація, яка ні до чого!

    спроба встановлення на Manjaro

    1.    ящірка - сказав він

      Шановний, що у вас це не вийшло, у мене воно спрацювало ідеально, у будь-якому разі спробуйте виконати ці 2 команди:
      "Systemctl запустити acestream-engine.service" та "systemctl увімкнути acestream-engine.service"

  5.   Хосе - сказав він

    буени

    Мені вдалося зробити всі кроки без проблем. Але при спробі запустити службу з терміналу це призвело до двох помилок;
    systemctl запустити acestream-engine.service
    Не вдалося запустити службу acestream-engine.service: Блок acestream-engine.service не знайдено.
    systemctl включити acestream-engine.service
    Не вдалося виконати операцію: немає такого файлу або каталогу

    1.    Густаво - сказав він

      Точно те саме сталося і зі мною. термінал відкидає мені ці команди разом із цими помилками.

  6.   Хуан М - сказав він

    Щиро дякую за допис! У разі використання Ubuntu 16.10 64 біт ви не зможете встановити "acestream-player-data_3.0.2-1.1_amd64.deb". Спочатку вони повинні завантажити та встановити такі пакети:

    libavcodec-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    liblivemedia50_2016.02.09-1_amd64.deb
    libswresample-ffmpeg1_2.8.6-1ubuntu2_amd64.deb
    libavformat-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    libpng12-0_1.2.54-1ubuntu1_amd64.deb
    libswscale-ffmpeg3_2.8.6-1ubuntu2_amd64.deb
    libavutil-ffmpeg54_2.8.6-1ubuntu2_amd64.deb
    libpostproc-ffmpeg53_2.8.6-1ubuntu2_amd64.deb
    libwebp5_0.4.4-1.1_amd64.deb

    Можливо, потрібна якась інша залежність, яка є у репозиторіях.
    Привіт!

  7.   Милі - сказав він

    Добре.
    Плагін acestream-mozilla-перестав працювати у Firefox 52, як і багато інших плагінів NPAPI.

  8.   дарко - сказав він

    Ще один дуже хороший і простий варіант - використовувати докер і стати агностиком вашої операційної системи. Використовуючи ацепрокси, ви можете його відтворити -

    Я написав невеликий підручник та сценарій для полегшення виконання.
    https://gist.github.com/alex-left/7967dac44f2d2e31eabba2fae318a402

  9.   Девід Мартін - сказав він

    Як ви встановлюєте їх у частині встановлення з Ubuntu 16.04, коли ви кажете завантажити та встановити ці файли? Коли я завантажую та витягаю їх, деякі є лише файлом libreoffice, а інші - я не знаю, як їх «встановити».
    Заздалегідь дякую та вітаю.
    Давид.

  10.   вафе - сказав він

    Або ключі знову не працюють, або в пакетах є помилки, але в arch і manjaro встановити її неможливо.
    При спробі встановити залежність (qwebquit) або щось подібне вона переходить у цикл, і немає ніякого способу.
    Хтось знайшов рішення?
    Грекіас

    1.    Олександр - сказав він

      Привіт, для встановлення в arch linux ви повинні зробити наступне:
      -Встановіть пакет 'acestream-launcher' з yaourt за допомогою 'yaourt -S acestream-launcher' (пакет, який ми збираємося ввімкнути, автоматично завантажується до вас)
      -Увімкнути службу acestream-engine.service, ми заходимо в термінал і в ROOT-режимі ставимо наступне
      -systemctl запустити acestream-engine.service
      -systemctl включити acestream-engine.service
      Після цього я перезавантажив комп’ютер, не знаю, чи буде це потрібно, але про всяк випадок
      - Цього має бути достатньо, але в останніх оновленнях Arch вони щось зіпсували, і це не працює, тому вони шукали тимчасове рішення, яке полягає у завантаженні файлу, це таке:
      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz
      Фуенте: https://aur.archlinux.org/packages/acestream-launcher/ (на коментарі)
      після завантаження ми переходимо до терміналу і переходимо до папки, куди ми його завантажили,
      Ми продовжуємо встановлювати його за допомогою 'sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz', і все, це повинно йти, перший раз це ніколи не відбувається, тому я натискаю вдруге, перший раз завжди дає помилку, ось і все

      PS: уточніть, що sudo pacman -U, а не -S, оскільки це локальний пакет, отриманий з makepkg

      1.    вафе - сказав він

        Щиро дякуємо за ваш інтерес.
        Я пробував стільки разів, що вже знаю залежності та коментарі до пакетів в інсталяції з yaourt напам'ять. Я збираюся слідувати вашій пораді з пусковою установкою і перевірити, чи пощастить мені. Я скажу вам.
        Повторюю подяку

        Феліпе

        1.    вафе - сказав він

          Так чи інакше це не працює. Я пробував із посиланням, яке ви вкладаєте в коментарях, але воно не вирішує, воно розпізнає посилання, дає мені можливість вибрати програму, я вибираю acestream-launcher, але VLC не відкривається.
          У консолі це дає мені таку відповідь.

          Файл «/usr/lib/python3.6/site-packages/psutil/ініціалізації.py », рядок 1231, у _send_signal
          os.kill (self.pid, sig)

          Доведеться чекати нових оновлень.
          Спасибі за вашу допомогу.

  11.   вафе - сказав він

    Після нового оновлення відповідь у консолі наступна.

    acestream-launcher acestream://0cec6c0299c99f45c1859398d150c3a48e6d8b2e
    Працює двигун Acestream.
    2017 07: 28: 18 | MainThread | acestream | помилка під час запуску
    Traceback (останній останній дзвінок):
    Файл «core.c», рядок 1590, в
    Файл «core.c», рядок 144, в
    Файл «core.c», рядок 2, в
    ImportError: не вдається імпортувати ім'я __m2crypto
    Помилка автентифікації в Acestream!
    Медіаплеєр не працює ...

    Ми вдосконалюємося, тепер він розпізнає acestream, але libcrypto продовжує боротися.

    1.    вафе - сказав він

      Я спробував встановити пакунок, який ви рекомендуєте в посиланні, яке ви мені надіслали.

      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

      І це ефективно усуває проблему, vlc відкривається і Acestream працює.
      Велике спасибі за вашу допомогу-

      1.    Олександр - сказав він

        Привіт, вибачте за затримку, було дуже дивно, що це не спрацювало у вас, коли це сталося, я перебуваю в Arch plasma, я радий, що це допомогло вам, ось для чого ми

        В іншому розподілі, який я маю, який є Fedora, я маю Wine emulating acestream для windows xD, на випадок, якщо ви перейдете до іншого дистрибутива або в тій самій Arch, що мене дивує, що навіть у Debian у них немає цих пакетів ...

      2.    манджаріста01 - сказав він

        Привіт, і файл, як він встановлений. Я все ще новачок, привітання

        1.    вафе - сказав він

          sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

          Він зазначає це у коментарі вище

  12.   хемаби - сказав він

    Вчора я встановив його як пакет оснащення в Kde Neon 5.8, і я був вражений тим, наскільки просто і швидко це працювало для мене. Було б непогано, якщо ви оновите статтю, оскільки немає порівняння, процес значно спрощений.

    sudo apt install snapd → встановити систему управління пакетом оснащення (якщо вона не встановлена)
    snap find acestream →, щоб перевірити, чи є у нас програма у сховищах (її мають мати всі похідні ubuntu)
    sudo snap встановити acestreamplayer - -

    привіт

    1.    Антоніо Манзано - сказав він

      Ти маєш рацію. Я щойно встановив його в kubuntu 17.10, оскільки метод, який тут представлений, абсолютно нездійсненний.

      1.    Татусю - сказав він

        не діє для архітектури i386

    2.    sie9k - сказав він

      Це був єдиний спосіб, яким я міг встановити його на Lubuntu 16.04.4, але я не можу зберегти файл конфігурації, і мені потрібно налаштувати параметр для роботи поряд із Serviio. Будь-які ідеї, щоб це виправити?

  13.   Хосе Антоніо - сказав він

    Дуже хороший пост. Веб-сайт, який потрібно прочитати для початківців Linux.

  14.   пітер новобранець - сказав він

    Як би ви встановили його для AntiX 16 (це дистрибутив Linux)?

    Я пробував, як Arch Linux та похідні, але я такий новачок, що повинен помилитися

  15.   Олександр - сказав він

    Привіт, завдяки пакетам sna, які колега вище коментує у коментарі, стало простіше не лише для цих дистрибутивів, але й для багатьох. Дистрибутиви, сумісні з цими пакетами, знаходяться тут:
    https://snapcraft.io/

    У Debian це буде так:
    -sudo apt встановити snapd
    -sudo snap install core
    -sudo snap встановити acestreamplayer
    В Arch та похідні:
    -sudo pacman -S snapd
    -sudo systemctl enable -зараз snapd.socket
    -sudo snap встановити acestreamplayer

    У Arch (плазма) мені довелося перезапустити, щоб з'явилися встановлені пакети, якщо він не з'являється, ви вже знаєте, що робити.

    Щодо ubuntu та похідних, я думаю, це буде як партнер, який встановив його вище в коментарях з KDE neon.

    Цікаво, що в Gnome з Debian це виглядає досить потворно і погано інтегрується з GTK, але в плазмі Arch він інтегрується досить добре, головне, що це видно поза естетикою.

    1.    Вільям - сказав він

      це встановлює вам движок acestream?
      Не я

      1.    Олександр - сказав він

        Привіт, ні, він не встановлює його, і це не потрібно, з пакетами оснащення всі охоплені залежності вже надходять, він повинен працювати так чи так.

    2.    txuber - сказав він

      Привіт Алехандро, подивись, чи можеш ти мені допомогти
      [txuber @ manjaro ~] $ sudo systemctl enable –now snapd.socket
      Не вдалося увімкнути блок: Файл блоку \ xe2 \ x80 \ x93now.service не існує.
      на манджаро Manjaro XFCE Edition (17.0.4) x64

      1.    Олександр - сказав він

        Привіт, Манджаро полягає в тому, що це не чисто Arch, і речі можуть трохи змінитися, можливо, це вже ввімкнено, і це не потрібно робити, я гадаю, ти вже намагався пропустити цей крок ...

  16.   Debian - сказав він

    Щойно встановивши, що робити? Оскільки програвач тузів не встановлений, я не знаю, як змусити його працювати.
    Хтось допоможе мені, будь ласка?

    1.    вафе - сказав він

      Якщо встановлене вами - це програма запуску acestream, коли ви натискаєте на посилання, acestream запитає вас, за допомогою якої програми ви хочете відкрити посилання, ви повідомляєте це за допомогою VLC, і це той, який буде виконувати функції програвача ace

      1.    Debian - сказав він

        Привіт. Перш за все, дякую вам за допомогу. Коментую. Я встановив пакувальний пакет acestream у Debian 9 з gnome. Коли в arenavisión, для чого я це хочу, я натискаю посилання acestream і з’являється вікно, яке дає мені два варіанти, перший - acestreamengine, що якщо я натисну це, він нічого не робить, а другий - вибрати іншу програму, я даю це вибрати, але встановлені програми не відкриваються, відкривається моя домашня папка, тому я не знаю, як вибрати vlc.

        Привітання.

        1.    Олександр - сказав він

          З запусковою програмою acestream це не зовсім добре, краще встановлювати за допомогою пакета Snap, як я поясню у своєму коментарі вище.

  17.   пітер новобранець - сказав він

    Я намагаюся встановити пакет snapd, але це не дозволяє мені:

    sudo apt install snapd
    Читання списку пакетів ... Готово
    Створення дерева залежностей
    Читання інформації про статус ... Готово
    E: Не вдалося знайти пакет snapd

    що я роблю?

  18.   Alf - сказав він

    Щиро дякую, це одна з програм, яку я використовував у Windows, і я хотів мати її в Linux

  19.   Оскар - сказав він

    Дякую Хемабс та Алехандро! Ідеально підходить для Ubuntu 17.10
    sudo apt install snapd
    оснастка знайти acestream
    sudo snap встановити acestreamplayer - -
    І це все!
    Неймовірна річ полягає в тому, що ви заходите на офіційний веб-сайт, а вони відправляють вам допис на своєму форумі з 2014 року! І в якому вони згадують лише до Ubuntu 13.04!

  20.   Марко Баррія - сказав він

    добре, як кажуть у попередніх коментарях, він ідеально працює з snapd в arch:

    sudo pacman -S snapd
    sudo systemctl увімкнути snapd.socket
    перезавантажувати
    sudo snap встановити acestreamplayer - -
    перезавантажувати

    і готовий:

  21.   мчавес - сказав він

    привіт, і чи є спосіб встановити потік туза без необхідності бути програмістом ... як це робиться з windows